package repository

import (
	"dddexample/pkg/domain/entity"
)

type UserRepository interface {
	SelectByID(id int) *entity.AccountEntity
	SelectByAccountNumber(account string) *entity.AccountEntity
	UpdateAccountMoney(*entity.AccountEntity)
}
