package entity

type Money struct {
	Amount   float64
	Currency string
}

func (a *Money) Less(money float64) bool {
	if a.Amount < money {
		return true
	}

	return false

}

func (a *Money) Subtract(money float64) *Money {
	return &Money{Amount: a.Amount - money, Currency: a.Currency}
}

func (a *Money) Add(money float64) *Money {
	return &Money{Amount: a.Amount + money, Currency: a.Currency}
}
