package controller

import (
	"dddexample/common/vo"
	"dddexample/normal/service"
	"github.com/gin-gonic/gin"
	"github.com/gin-gonic/gin/binding"
)

// Transfer 创建订单
func Transfer(c *gin.Context) {
	var req vo.TransferRequest

	if err := c.ShouldBindBodyWith(&req, binding.JSON); err != nil {
		return
	}

	service.Transfer(req.SourceUserId,req.TargetAccountNumber,req.TargetAmount,req.TargetCurrency)
	return
}
